Summary:        Command line source client for Icecast media streaming servers
Name:           ezstream
Version:        1.0.2
Release:        1%{?dist}
License:        GPLv2 and MIT
URL:            https://www.icecast.org/%{name}/
Source0:        https://downloads.xiph.org/releases/%{name}/%{name}-%{version}.tar.gz
# Link to distribution-wide certificate store, not upsreamable
Patch3000:         ezstream-1.0.1-doc-Link-to-distribution-OpenSSL-certificate-bundle.patch
BuildRequires:  autoconf >= 2.61, automake >= 1.10
BuildRequires:  coreutils
BuildRequires:  gcc, make
# gettext-devel for AM_ICONV macro
BuildRequires:  gettext-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig(check) >= 0.9.4
BuildRequires:  pkgconfig(libxml-2.0) >= 2
BuildRequires:  pkgconfig(shout) >= 2.2
BuildRequires:  pkgconfig(taglib_c) >= 1.4

%description
Ezstream is a command line source client for media streams, primarily for
streaming to Icecast servers.

It allows the creation of media streams based on input from files or standard
input that is piped through an optional external decoder and encoder. As every
part of this chain is highly configurable, ezstream can be useful in a large
number of streaming setups.

Supported media containers for streaming are MP3, Ogg, Theora, WebM, and
Matroska. Supported transport protocols are HTTP, ICY, and RoarAudio.
Metadata support is provided by TagLib library.

%prep
%autosetup -p1 -n %{name}-%{version}
# Regenerate a build script
autoreconf -fi
# Remove bundled code
rm compat/{getopt,reallocarray}.c
# Copy examples for a documention
mkdir __examples
cp -a examples __examples/examples
rm -f __examples/examples/Makefile*
chmod a-x __examples/examples/*

%build
%configure \
    --without-asan \
    --enable-largefile \
    --disable-maintainer-mode \
    --disable-rpath \
    --enable-shared \
    --disable-static
# --with-taglib actually inhibits the taglib support
%{make_build}

%check
make %{?_smp_mflags} check

%install
%{make_install}
rm -rf $RPM_BUILD_ROOT%{_docdir} $RPM_BUILD_ROOT%{_datadir}/examples

%files
%license COPYING
%doc ChangeLog NEWS README.md __examples/examples
%{_bindir}/ezstream
%{_bindir}/ezstream-cfgmigrate
%{_bindir}/ezstream-file.sh
%{_mandir}/man1/ezstream.1*
%{_mandir}/man1/ezstream-cfgmigrate.1*
%{_mandir}/man1/ezstream-file.sh.1*

%changelog
* Mon Aug 26 2024 xuke <xuke@redflag-os.com> - 1.0.2-1
- Initial package
